Document of c-modernization-kit (util) 1.0.0

Loading...
Searching...
No Matches
Data Fields
trace_file_provider Struct Reference

ファイルトレースプロバイダハンドル構造体 (内部定義)。 More...

Collaboration diagram for trace_file_provider:

## Data Fields
char * | path
| ヒープ確保済みファイルパス文字列。
size_t | max_bytes
| ファイル 1 世代あたりの最大バイト数。
size_t | current_bytes
| 現ファイルへの書き込み済みバイト数 (インメモリ追跡)。
int | generations
| 保持する旧世代数。
int | fd
| ファイルディスクリプタ。-1 = 未開。
pthread_mutex_t | mutex
| スレッド安全のための mutex。
int | mutex_initialized
| mutex が初期化済みかどうかのフラグ。
int | _pad_end
| パディング (構造体サイズを 8 バイト境界に揃える)。

## Detailed Description

ファイルトレースプロバイダハンドル構造体 (内部定義)。

Definition at line 47 of file file-provider.c.

## Field Documentation

## ◆ path

char* trace_file_provider::path

ヒープ確保済みファイルパス文字列。

Definition at line 50 of file file-provider.c.

Referenced by open_file(), open_file_truncate(), rotate_file(), trace_file_provider_dispose(), and trace_file_provider_init().

## ◆ max_bytes

size_t trace_file_provider::max_bytes

ファイル 1 世代あたりの最大バイト数。

Definition at line 52 of file file-provider.c.

Referenced by trace_file_provider_init(), and trace_file_provider_write().

## ◆ current_bytes

size_t trace_file_provider::current_bytes

現ファイルへの書き込み済みバイト数 (インメモリ追跡)。

Definition at line 54 of file file-provider.c.

Referenced by open_file(), open_file_truncate(), trace_file_provider_init(), and trace_file_provider_write().

## ◆ generations

int trace_file_provider::generations

保持する旧世代数。

Definition at line 56 of file file-provider.c.

Referenced by rotate_file(), and trace_file_provider_init().

## ◆ fd

int trace_file_provider::fd

ファイルディスクリプタ。-1 = 未開。

Definition at line 67 of file file-provider.c.

Referenced by close_file(), open_file(), open_file_truncate(), trace_file_provider_init(), and trace_file_provider_write().

## ◆ mutex

pthread_mutex_t trace_file_provider::mutex

スレッド安全のための mutex。

Definition at line 69 of file file-provider.c.

Referenced by trace_file_provider_dispose(), trace_file_provider_init(), and trace_file_provider_write().

## ◆ mutex_initialized

int trace_file_provider::mutex_initialized

mutex が初期化済みかどうかのフラグ。

Definition at line 71 of file file-provider.c.

Referenced by trace_file_provider_dispose(), and trace_file_provider_init().

## ◆ _pad_end

int trace_file_provider::_pad_end

パディング (構造体サイズを 8 バイト境界に揃える)。

Definition at line 73 of file file-provider.c.

The documentation for this struct was generated from the following file:

- util/libsrc/util/file-provider.c